export class PegasusHindranceDie extends Die {
  constructor(termData ) {
      termData.faces=6;
      super(termData);
  }

  /* -------------------------------------------- */

  /** @override */
  static DENOMINATION = "h";

  /* -------------------------------------------- */

  /** @override */
  getResultLabel(result) {
      return {
          "1": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice-empty.png" />',
          "2": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice-empty.png" />',
          "3": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice-empty.png" />',
          "4": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice-empty.png" />',
          "5": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice-empty.png" />',
          "6": '<img src="systems/fvtt-pegasus-rpg/images/dice/hindrance-dice.png" />'
      }[result.result];
  }
}
